## ros-indigo-rapid-pbd 0.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rapid_pbd)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  actionlib
  control_msgs
  geometry_msgs
  mongodb_store
  moveit_core
  moveit_msgs
  moveit_ros_planning
  moveit_ros_planning_interface
  moveit_goal_builder
  pcl_ros
  pr2_controllers_msgs
  pr2_mechanism_msgs
  rapid_pbd_msgs
  robot_controllers_msgs
  robot_markers
  roscpp
  rospy
  sensor_msgs
  shape_msgs
  std_msgs
  surface_perception
  tf
  transform_graph
  urdf
  visualization_msgs
)

## System dependencies are found with CMake's conventions
find_package(Boost REQUIRED COMPONENTS system)
find_package(PCL REQUIRED)

## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################

## To declare and build messages, services or actions from within this
## package, follow these steps:
## * Let MSG_DEP_SET be the set of packages whose message types you use in
##   your messages/services/actions (e.g. std_msgs, actionlib_msgs, ...).
## * In the file package.xml:
##   * add a build_depend tag for "message_generation"
##   * add a build_depend and a run_depend tag for each package in MSG_DEP_SET
##   * If MSG_DEP_SET isn't empty the following dependency has been pulled in
##     but can be declared for certainty nonetheless:
##     * add a run_depend tag for "message_runtime"
## * In this file (CMakeLists.txt):
##   * add "message_generation" and every package in MSG_DEP_SET to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * add "message_runtime" and every package in MSG_DEP_SET to
##     catkin_package(CATKIN_DEPENDS ...)
##   * uncomment the add_*_files sections below as needed
##     and list every .msg/.srv/.action file to be processed
##   * uncomment the generate_messages entry below
##   * add every package in MSG_DEP_SET to generate_messages(DEPENDENCIES ...)

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate actions in the 'action' folder
# add_action_files(
#   FILES
#   Action1.action
#   Action2.action
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
#   rapid_pbd_msgs
# )

################################################
## Declare ROS dynamic reconfigure parameters ##
################################################

## To declare and build dynamic reconfigure parameters within this
## package, follow these steps:
## * In the file package.xml:
##   * add a build_depend and a run_depend tag for "dynamic_reconfigure"
## * In this file (CMakeLists.txt):
##   * add "dynamic_reconfigure" to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * uncomment the "generate_dynamic_reconfigure_options" section below
##     and list every .cfg file to be processed

## Generate dynamic reconfigure parameters in the 'cfg' folder
# generate_dynamic_reconfigure_options(
#   cfg/DynReconf1.cfg
#   cfg/DynReconf2.cfg
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES
    rapid_pbd_action_clients
    rapid_pbd_action_executor
    rapid_pbd_action_utils
    rapid_pbd_baxter_actions
    rapid_pbd_editor
    rapid_pbd_fetch_actions
    rapid_pbd_joint_state
    rapid_pbd_joint_state_reader
    rapid_pbd_landmarks
    rapid_pbd_motion_planning
    rapid_pbd_pr2_actions
    rapid_pbd_program_db
    rapid_pbd_program_executor
    rapid_pbd_robot_config
    rapid_pbd_runtime_robot_state
    rapid_pbd_step_executor
    rapid_pbd_surface_segmentation_action
    rapid_pbd_visualizer
    rapid_pbd_world
  CATKIN_DEPENDS
    actionlib
    control_msgs
    geometry_msgs
    mongodb_store
    moveit_core
    moveit_msgs
    moveit_ros_planning
    moveit_ros_planning_interface
    moveit_goal_builder
    pcl_ros
    pr2_controllers_msgs
    pr2_mechanism_msgs
    rapid_pbd_msgs
    robot_controllers_msgs
    robot_markers
    roscpp
    rospy
    sensor_msgs
    shape_msgs
    std_msgs
    surface_perception
    tf
    transform_graph
    urdf
    visualization_msgs
  DEPENDS
    Boost
    PCL
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

## Libraries
add_library(rapid_pbd_action_clients src/action_clients.cpp)
add_dependencies(rapid_pbd_action_clients ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(rapid_pbd_action_clients ${catkin_LIBRARIES})

add_library(rapid_pbd_action_executor src/action_executor.cpp)
add_dependencies(rapid_pbd_action_executor ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(rapid_pbd_action_executor
  rapid_pbd_action_clients
  rapid_pbd_landmarks
  rapid_pbd_motion_planning
  rapid_pbd_visualizer
  rapid_pbd_world
  ${catkin_LIBRARIES})

add_library(rapid_pbd_action_utils src/action_utils.cpp)
add_dependencies(rapid_pbd_action_utils ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(rapid_pbd_action_utils ${catkin_LIBRARIES})

add_library(rapid_pbd_editor src/editor.cpp)
add_dependencies(rapid_pbd_editor ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(rapid_pbd_editor
  rapid_pbd_action_clients
  rapid_pbd_action_utils
  rapid_pbd_landmarks
  rapid_pbd_program_db
  rapid_pbd_joint_state_reader
  rapid_pbd_robot_config
  rapid_pbd_visualizer
  rapid_pbd_world
  ${catkin_LIBRARIES})

add_library(rapid_pbd_baxter_actions src/baxter_actions.cpp)
add_dependencies(rapid_pbd_baxter_actions ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(rapid_pbd_baxter_actions ${catkin_LIBRARIES})

add_library(rapid_pbd_fetch_actions src/fetch_actions.cpp)
add_dependencies(rapid_pbd_fetch_actions ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(rapid_pbd_fetch_actions ${catkin_LIBRARIES})

add_library(rapid_pbd_joint_state src/joint_state.cpp)
add_dependencies(rapid_pbd_joint_state ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(rapid_pbd_joint_state ${catkin_LIBRARIES})

add_library(rapid_pbd_joint_state_reader src/joint_state_reader.cpp)
add_dependencies(rapid_pbd_joint_state_reader ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(rapid_pbd_joint_state_reader rapid_pbd_joint_state ${catkin_LIBRARIES})

add_library(rapid_pbd_landmarks src/landmarks.cpp)
add_dependencies(rapid_pbd_landmarks ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(rapid_pbd_landmarks ${catkin_LIBRARIES})

add_library(rapid_pbd_motion_planning src/motion_planning.cpp)
add_dependencies(rapid_pbd_motion_planning ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(rapid_pbd_motion_planning
  rapid_pbd_landmarks
  rapid_pbd_runtime_robot_state
  rapid_pbd_world
  ${catkin_LIBRARIES})

add_library(rapid_pbd_pr2_actions src/pr2_actions.cpp)
add_dependencies(rapid_pbd_pr2_actions ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(rapid_pbd_pr2_actions ${catkin_LIBRARIES})

add_library(rapid_pbd_program_db src/program_db.cpp)
add_dependencies(rapid_pbd_program_db ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(rapid_pbd_program_db ${catkin_LIBRARIES})

add_library(rapid_pbd_program_executor src/program_executor.cpp)
add_dependencies(rapid_pbd_program_executor ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(rapid_pbd_program_executor
  rapid_pbd_action_clients
  rapid_pbd_program_db
  rapid_pbd_runtime_robot_state
  rapid_pbd_step_executor
  rapid_pbd_visualizer
  rapid_pbd_world
  ${catkin_LIBRARIES})

add_library(rapid_pbd_robot_config src/robot_config.cpp)
add_dependencies(rapid_pbd_robot_config ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(rapid_pbd_robot_config ${catkin_LIBRARIES})

add_library(rapid_pbd_runtime_robot_state src/runtime_robot_state.cpp)
add_dependencies(rapid_pbd_runtime_robot_state ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(rapid_pbd_runtime_robot_state
  rapid_pbd_joint_state_reader
  rapid_pbd_robot_config
  ${catkin_LIBRARIES})

add_library(rapid_pbd_step_executor src/step_executor.cpp)
add_dependencies(rapid_pbd_step_executor ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(rapid_pbd_step_executor
  rapid_pbd_action_clients
  rapid_pbd_action_executor
  rapid_pbd_motion_planning
  rapid_pbd_runtime_robot_state
  rapid_pbd_visualizer
  rapid_pbd_world
  ${catkin_LIBRARIES})

add_library(rapid_pbd_surface_segmentation_action src/surface_segmentation_action.cpp)
add_dependencies(rapid_pbd_surface_segmentation_action ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(rapid_pbd_surface_segmentation_action
  rapid_pbd_program_db
  rapid_pbd_robot_config
  ${catkin_LIBRARIES})

add_library(rapid_pbd_visualizer src/visualizer.cpp)
add_dependencies(rapid_pbd_visualizer ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(rapid_pbd_visualizer
  rapid_pbd_program_db
  rapid_pbd_robot_config
  rapid_pbd_world
  ${catkin_LIBRARIES})

add_library(rapid_pbd_world src/world.cpp)
add_dependencies(rapid_pbd_world ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(rapid_pbd_world
  rapid_pbd_action_utils
  rapid_pbd_joint_state
  rapid_pbd_landmarks
  rapid_pbd_robot_config
  ${catkin_LIBRARIES})

## Executables
add_executable(rapid_pbd_editor_node src/editor_node.cpp)
set_target_properties(rapid_pbd_editor_node PROPERTIES OUTPUT_NAME editor_node PREFIX "")
add_dependencies(rapid_pbd_editor_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(rapid_pbd_editor_node
  rapid_pbd_editor
  rapid_pbd_program_db
  rapid_pbd_robot_config
  ${catkin_LIBRARIES})

add_executable(rapid_pbd_baxter_action_node src/baxter_action_node.cpp)
set_target_properties(rapid_pbd_baxter_action_node PROPERTIES OUTPUT_NAME baxter_action_node PREFIX "")
add_dependencies(rapid_pbd_baxter_action_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(rapid_pbd_baxter_action_node
  rapid_pbd_baxter_actions
  ${catkin_LIBRARIES}
)
add_executable(rapid_pbd_fetch_action_node src/fetch_action_node.cpp)
set_target_properties(rapid_pbd_fetch_action_node PROPERTIES OUTPUT_NAME fetch_action_node PREFIX "")
add_dependencies(rapid_pbd_fetch_action_node ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})
target_link_libraries(rapid_pbd_fetch_action_node
  rapid_pbd_fetch_actions
  ${catkin_LIBRARIES}
)

=== debian/changelog ===
ros-indigo-rapid-pbd (0.2.0-0trusty) trusty; urgency=high

  * Adds support for the Baxter robot (#18 <https://github.com/jstnhuang/rapid_pbd/issues/18>)
  * Added additional runtime deps.
  * Contributors: Justin Huang, ysl208

 -- Justin Huang <jstn@cs.washington.edu>  Wed, 15 Nov 2017 08:00:00 -0000

ros-indigo-rapid-pbd (0.1.6-0trusty) trusty; urgency=high

  * Add detected surfaces as collision objects (#25 <https://github.com/jstnhuang/rapid_pbd/issues/25>)
  * Small refactoring of runtime code.
  * Changed editor web page title.
  * Contributors: Justin Huang, pengy25

 -- Justin Huang <jstn@cs.washington.edu>  Fri, 03 Nov 2017 07:00:00 -0000

ros-indigo-rapid-pbd (0.1.5-0trusty) trusty; urgency=high

  * Added a service to create a new program (#22 <https://github.com/jstnhuang/rapid_pbd/issues/22>)
  * Upgraded to ros-rviz v3.
  * Added rosbridge_server as a runtime dependency.
  * Fixed headAction type in frontend.
  * Contributors: Justin Huang, Sheryl Liang, Yu-Tang Peng

 -- Justin Huang <jstn@cs.washington.edu>  Tue, 31 Oct 2017 07:00:00 -0000

ros-indigo-rapid-pbd (0.1.4-0trusty) trusty; urgency=high

  * Changed str to toString, which compiles on ROS buildfarm.
  * Contributors: Justin Huang

 -- Justin Huang <jstn@cs.washington.edu>  Fri, 15 Sep 2017 07:00:00 -0000

ros-indigo-rapid-pbd (0.1.3-0trusty) trusty; urgency=high

  * Added missing build dependencies.
  * Contributors: Justin Huang

 -- Justin Huang <jstn@cs.washington.edu>  Mon, 11 Sep 2017 07:00:00 -0000

ros-indigo-rapid-pbd (0.1.2-0trusty) trusty; urgency=high

  * Added install targets.
  * Contributors: Justin Huang

 -- Justin Huang <jstn@cs.washington.edu>  Mon, 11 Sep 2017 07:00:00 -0000

ros-indigo-rapid-pbd (0.1.1-0trusty) trusty; urgency=high

  * Initial release.
  * Contributors: Justin Huang

 -- Justin Huang <jstn@cs.washington.edu>  Mon, 11 Sep 2017 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-rapid-pbd
Section: misc
Priority: extra
Maintainer: Justin Huang <jstn@cs.washington.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-catkin, ros-indigo-control-msgs, ros-indigo-geometry-msgs, ros-indigo-mongodb-store, ros-indigo-moveit-core, ros-indigo-moveit-goal-builder, ros-indigo-moveit-msgs, ros-indigo-moveit-ros-planning, ros-indigo-moveit-ros-planning-interface, ros-indigo-pcl-ros, ros-indigo-pr2-controllers-msgs, ros-indigo-pr2-mechanism-msgs, ros-indigo-rapid-pbd-msgs, ros-indigo-robot-controllers-msgs, ros-indigo-robot-markers, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-shape-msgs, ros-indigo-std-msgs, ros-indigo-surface-perception, ros-indigo-tf, ros-indigo-trajectory-msgs, ros-indigo-transform-graph, ros-indigo-urdf, ros-indigo-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-rapid-pbd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-control-msgs, ros-indigo-depthcloud-encoder, ros-indigo-geometry-msgs, ros-indigo-interactive-marker-proxy, ros-indigo-mongodb-store, ros-indigo-moveit-core, ros-indigo-moveit-goal-builder, ros-indigo-moveit-msgs, ros-indigo-moveit-ros-planning, ros-indigo-moveit-ros-planning-interface, ros-indigo-pcl-ros, ros-indigo-pr2-controllers-msgs, ros-indigo-pr2-mechanism-msgs, ros-indigo-rapid-pbd-msgs, ros-indigo-robot-controllers-msgs, ros-indigo-robot-markers, ros-indigo-ros-web-video, ros-indigo-rosbridge-server, ros-indigo-roscpp, ros-indigo-rospy, ros-indigo-sensor-msgs, ros-indigo-shape-msgs, ros-indigo-std-msgs, ros-indigo-surface-perception, ros-indigo-tf, ros-indigo-tf2-web-republisher, ros-indigo-trajectory-msgs, ros-indigo-transform-graph, ros-indigo-urdf, ros-indigo-visualization-msgs
Description: Programming by demonstration for 1 or 2 arm robots

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rapid-pbd//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
